# Poco::Net

# class HTTPChunkedInputStream

Library: Net
Package: HTTP
Header: Poco/Net/HTTPChunkedStream.h

## Description

This class is for internal use by HTTPSession only.

## Inheritance

Direct Base Classes: HTTPChunkedIOS, std::istream

All Base Classes: HTTPChunkedIOS, std::ios, std::istream

## Member Summary

Member Functions: operator delete, operator new

Inherited Functions: rdbuf

## Constructors

### HTTPChunkedInputStream

HTTPChunkedInputStream(
HTTPSession & session
);

## Destructor

### ~HTTPChunkedInputStream

~HTTPChunkedInputStream();

## Member Functions

### operator delete

void operator delete(
void * ptr
);

### operator new

void * operator new(
std::size_t size
);